miR_Clustering_CNMF:
  prerequisites: []
  root-entity: Individual_Set
  report-generating: true
  parameters:
  - {expression: 'choose(["mirna__h_mirna_8x15kv2__unc_edu__Level_3__unc_DWD_Batch_adjusted__data",
      "mirna__h_mirna_8x15k__unc_edu__Level_3__unc_DWD_Batch_adjusted__data"])', optional: false,
    name: GDAC_TopgenesforCluster1.expfile, mode: Complex_Expression}
  - {expression: '150', optional: true, name: GDAC_TopgenesforCluster1.selectedgenes,
    mode: Literal}
  - {expression: individual_set_id, optional: false, name: GDAC_CNMFselectcluster3.output,
    mode: Simple_Expression}
  - {expression: 'choose(["mirna__h_mirna_8x15kv2__unc_edu__Level_3__unc_DWD_Batch_adjusted__data",
      "mirna__h_mirna_8x15k__unc_edu__Level_3__unc_DWD_Batch_adjusted__data"])', optional: false,
    name: GDAC_CNMFselectcluster3.inputallexp, mode: Complex_Expression}
  - {expression: '2', optional: false, name: GDAC_NmfConsensusClustering2.k.int, mode: Literal}
  - {expression: '8', optional: false, name: GDAC_NmfConsensusClustering2.k.final,
    mode: Literal}
  - {expression: mirna, optional: false, name: GDAC_CnmfReports4.report, mode: Literal}
  outputs:
  - {extension: bestclus.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 1083, mode: Simple_Expression}
  output-path: miR/clustering_CNMF
  genepattern-lsid: urn:lsid:broadinstitute.org:cancer.genome.analysis:00415:32
